Loading...
Searching...
No Matches
Berkeley DB filesystem compatibility
Filesystem interaction subsystem » Berkeley DB filesystems

The following functions are similar to their generic counterparts. More...

## Functions

svn_fs_t * | svn_fs_new (apr_hash_t *fs_config, apr_pool_t *pool)
svn_error_t * | svn_fs_create_berkeley (svn_fs_t *fs, const char *path)
svn_error_t * | svn_fs_open_berkeley (svn_fs_t *fs, const char *path)
const char * | svn_fs_berkeley_path (svn_fs_t *fs, apr_pool_t *pool)
svn_error_t * | svn_fs_delete_berkeley (const char *path, apr_pool_t *pool)
svn_error_t * | svn_fs_hotcopy_berkeley (const char *src_path, const char *dest_path, svn_boolean_t clean_logs, apr_pool_t *pool)
svn_error_t * | svn_fs_berkeley_recover (const char *path, apr_pool_t *pool)

## Detailed Description

The following functions are similar to their generic counterparts.

In Subversion 1.2 and earlier, they only work on Berkeley DB filesystems. In Subversion 1.3 and later, they perform largely as aliases for their generic counterparts (with the exception of recover, which only gained a generic counterpart in 1.5).

## Function Documentation

## svn_fs_berkeley_path()

const char * svn_fs_berkeley_path | ( | svn_fs_t * | fs,
|  | apr_pool_t * | pool )

Deprecated
  Provided for backward compatibility with the 1.0 API.

References SVN_DEPRECATED.

## svn_fs_berkeley_recover()

svn_error_t * svn_fs_berkeley_recover | ( | const char * | path,
|  | apr_pool_t * | pool )

Deprecated
  Provided for backward compatibility with the 1.4 API.

References path.

## svn_fs_create_berkeley()

svn_error_t * svn_fs_create_berkeley | ( | svn_fs_t * | fs,
|  | const char * | path )

Deprecated
  Provided for backward compatibility with the 1.0 API.

References path, and SVN_DEPRECATED.

## svn_fs_delete_berkeley()

svn_error_t * svn_fs_delete_berkeley | ( | const char * | path,
|  | apr_pool_t * | pool )

Deprecated
  Provided for backward compatibility with the 1.0 API.

References path, and SVN_DEPRECATED.

## svn_fs_hotcopy_berkeley()

svn_error_t * svn_fs_hotcopy_berkeley | ( | const char * | src_path,
|  | const char * | dest_path,
|  | svn_boolean_t | clean_logs,
|  | apr_pool_t * | pool )

Deprecated
  Provided for backward compatibility with the 1.0 API.

References SVN_DEPRECATED.

## svn_fs_new()

svn_fs_t * svn_fs_new | ( | apr_hash_t * | fs_config,
|  | apr_pool_t * | pool )

Deprecated
  Provided for backward compatibility with the 1.0 API.

References SVN_DEPRECATED.

## svn_fs_open_berkeley()

svn_error_t * svn_fs_open_berkeley | ( | svn_fs_t * | fs,
|  | const char * | path )

Deprecated
  Provided for backward compatibility with the 1.0 API.

References path, and SVN_DEPRECATED.